Loading...
Searching...
No Matches
_snd_ump_msg_midi2_rpn Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | bank
uint8_t | index
uint32_t | data

## Detailed Description

MIDI 2.0 Registered Controller (RPN) / Assignable Controller (NRPN) (64bit)

## Field Documentation

## bank

uint8_t _snd_ump_msg_midi2_rpn::bank

Bank number (7bit)

## channel

uint8_t _snd_ump_msg_midi2_rpn::channel

Channel

## data

uint32_t _snd_ump_msg_midi2_rpn::data

Data (32bit)

## group

uint8_t _snd_ump_msg_midi2_rpn::group

UMP Group

## index

uint8_t _snd_ump_msg_midi2_rpn::index

Control index (7bit)

## status

uint8_t _snd_ump_msg_midi2_rpn::status

Status

## type

uint8_t _snd_ump_msg_midi2_rpn::type

UMP packet type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-5UW3AQ/alsa-lib-1.2.15.3/include/ump_msg.h